Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 9169)
@@ -4,8 +4,8 @@
    !! TOP - PISCES : Compute the light availability in the water column
    !!======================================================================
-   !! History :   1.0  !  2004     (O. Aumont) Original code
-   !!             2.0  !  2007-12  (C. Ethe, G. Madec)  F90
-   !!             3.2  !  2009-04  (C. Ethe, G. Madec)  optimisation
-   !!             3.4  !  2011-06  (O. Aumont, C. Ethe) Improve light availability of nano & diat
+   !! History :  1.0  !  2004     (O. Aumont) Original code
+   !!            2.0  !  2007-12  (C. Ethe, G. Madec)  F90
+   !!            3.2  !  2009-04  (C. Ethe, G. Madec)  optimisation
+   !!            3.4  !  2011-06  (O. Aumont, C. Ethe) Improve light availability of nano & diat
    !!----------------------------------------------------------------------
    !!   p4z_opt       : light availability in the water column
@@ -15,6 +15,6 @@
    USE sms_pisces     ! Source Minus Sink of PISCES
    USE iom            ! I/O manager
-   USE fldread         !  time interpolation
-   USE prtctl_trc      !  print control for debugging
+   USE fldread        !  time interpolation
+   USE prtctl_trc     !  print control for debugging
 
    IMPLICIT NONE
@@ -27,18 +27,18 @@
    !! * Shared module variables
 
-   LOGICAL  :: ln_varpar   !: boolean for variable PAR fraction
-   REAL(wp) :: parlux      !: Fraction of shortwave as PAR
-   REAL(wp) :: xparsw                 !: parlux/3
-   REAL(wp) :: xsi0r                 !:  1. /rn_si0
+   LOGICAL  ::   ln_varpar   ! boolean for variable PAR fraction
+   REAL(wp) ::   parlux      ! Fraction of shortwave as PAR
+   REAL(wp) ::   xparsw      ! parlux/3
+   REAL(wp) ::   xsi0r       ! 1. /rn_si0
 
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_par      ! structure of input par
    INTEGER , PARAMETER :: nbtimes = 366  !: maximum number of times record in a file
    INTEGER  :: ntimes_par                ! number of time steps in a file
-   REAL(wp), ALLOCATABLE, SAVE,   DIMENSION(:,:) :: par_varsw    !: PAR fraction of shortwave
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) :: ekb, ekg, ekr  !: wavelength (Red-Green-Blue)
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   par_varsw      ! PAR fraction of shortwave
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   ekb, ekg, ekr  ! wavelength (Red-Green-Blue)
 
    INTEGER  ::   nksrp   ! levels below which the light cannot penetrate ( depth larger than 391 m)
 
-   REAL(wp), DIMENSION(3,61) ::   xkrgb   !: tabulated attenuation coefficients for RGB absorption
+   REAL(wp), DIMENSION(3,61) ::   xkrgb   ! tabulated attenuation coefficients for RGB absorption
    
    !!----------------------------------------------------------------------
@@ -70,10 +70,8 @@
       !!---------------------------------------------------------------------
       !
-      IF( ln_timing )  CALL timing_start('p4z_opt')
-      !
-      ! Allocate temporary workspace
-      IF( ln_p5z ) ALLOCATE( zetmp5(jpi,jpj) )
-
-      IF( knt == 1 .AND. ln_varpar ) CALL p4z_opt_sbc( kt )
+      IF( ln_timing )   CALL timing_start('p4z_opt')
+      IF( ln_p5z    )   ALLOCATE( zetmp5(jpi,jpj) )
+
+      IF( knt == 1 .AND. ln_varpar )   CALL p4z_opt_sbc( kt )
 
       !     Initialisation of variables used to compute PAR
@@ -84,7 +82,7 @@
       !
       !                                        !* attenuation coef. function of Chlorophyll and wavelength (Red-Green-Blue)
-                                               !  --------------------------------------------------------
-                    zchl3d(:,:,:) = trb(:,:,:,jpnch) + trb(:,:,:,jpdch)
-      IF( ln_p5z )  zchl3d(:,:,:) = zchl3d(:,:,:) + trb(:,:,:,jppch)
+      !                                        !  --------------------------------------------------------
+                     zchl3d(:,:,:) = trb(:,:,:,jpnch) + trb(:,:,:,jpdch)
+      IF( ln_p5z )   zchl3d(:,:,:) = zchl3d(:,:,:)    + trb(:,:,:,jppch)
       !
       DO jk = 1, jpkm1   
@@ -105,5 +103,5 @@
       IF( l_trcdm2dc ) THEN                     !  diurnal cycle
          !
-         zqsr_corr(:,:) = qsr_mean(:,:) / ( 1. - fr_i(:,:) + rtrn )
+         zqsr_corr(:,:) = qsr_mean(:,:) / ( 1.-fr_i(:,:) + rtrn )
          !
          CALL p4z_opt_par( kt, zqsr_corr, ze1, ze2, ze3, pqsr100 = zqsr100 ) 
@@ -120,5 +118,5 @@
          ENDIF
          !
-         zqsr_corr(:,:) = qsr(:,:) / ( 1. - fr_i(:,:) + rtrn )
+         zqsr_corr(:,:) = qsr(:,:) / ( 1.-fr_i(:,:) + rtrn )
          !
          CALL p4z_opt_par( kt, zqsr_corr, ze1, ze2, ze3 ) 
@@ -130,5 +128,5 @@
       ELSE
          !
-         zqsr_corr(:,:) = qsr(:,:) / ( 1. - fr_i(:,:) + rtrn )
+         zqsr_corr(:,:) = qsr(:,:) / ( 1.-fr_i(:,:) + rtrn )
          !
          CALL p4z_opt_par( kt, zqsr_corr, ze1, ze2, ze3, pqsr100 = zqsr100  ) 
@@ -240,7 +238,6 @@
       ENDIF
       !
-      IF( ln_p5z ) DEALLOCATE( zetmp5 )
-      !
-      IF( ln_timing )  CALL timing_stop('p4z_opt')
+      IF( ln_p5z    )   DEALLOCATE( zetmp5 )
+      IF( ln_timing )   CALL timing_stop('p4z_opt')
       !
    END SUBROUTINE p4z_opt
@@ -255,13 +252,12 @@
       !!
       !!----------------------------------------------------------------------
-      !! * arguments
-      INTEGER, INTENT(in)                                       ::  kt            !   ocean time-step
-      REAL(wp), DIMENSION(jpi,jpj)    , INTENT(in)              ::  pqsr          !   shortwave
-      REAL(wp), DIMENSION(jpi,jpj,jpk), INTENT(inout)           ::  pe1 , pe2 , pe3   !  PAR ( R-G-B)
-      REAL(wp), DIMENSION(jpi,jpj,jpk), INTENT(inout), OPTIONAL ::  pe0  
-      REAL(wp), DIMENSION(jpi,jpj)    , INTENT(out)  , OPTIONAL  ::  pqsr100  
-      !! * local variables
+      INTEGER                         , INTENT(in)              ::   kt                ! ocean time-step
+      REAL(wp), DIMENSION(jpi,jpj)    , INTENT(in   )           ::   pqsr              ! shortwave
+      REAL(wp), DIMENSION(jpi,jpj,jpk), INTENT(inout)           ::   pe1 , pe2 , pe3   ! PAR ( R-G-B)
+      REAL(wp), DIMENSION(jpi,jpj,jpk), INTENT(inout), OPTIONAL ::   pe0               !
+      REAL(wp), DIMENSION(jpi,jpj)    , INTENT(  out), OPTIONAL ::   pqsr100           !
+      !
       INTEGER    ::   ji, jj, jk     ! dummy loop indices
-      REAL(wp), DIMENSION(jpi,jpj)     ::  zqsr          !   shortwave
+      REAL(wp), DIMENSION(jpi,jpj) ::  zqsr   ! shortwave
       !!----------------------------------------------------------------------
 
@@ -272,5 +268,5 @@
       
       !  Light at the euphotic depth 
-      IF( PRESENT( pqsr100 ) )  pqsr100(:,:) = 0.01 * 3. * zqsr(:,:)
+      IF( PRESENT( pqsr100 ) )   pqsr100(:,:) = 0.01 * 3. * zqsr(:,:)
 
       IF( PRESENT( pe0 ) ) THEN     !  W-level
@@ -285,7 +281,7 @@
                DO ji = 1, jpi
                   pe0(ji,jj,jk) = pe0(ji,jj,jk-1) * EXP( -e3t_n(ji,jj,jk-1) * xsi0r )
-                  pe1(ji,jj,jk) = pe1(ji,jj,jk-1) * EXP( -ekb(ji,jj,jk-1 ) )
-                  pe2(ji,jj,jk) = pe2(ji,jj,jk-1) * EXP( -ekg(ji,jj,jk-1 ) )
-                  pe3(ji,jj,jk) = pe3(ji,jj,jk-1) * EXP( -ekr(ji,jj,jk-1 ) )
+                  pe1(ji,jj,jk) = pe1(ji,jj,jk-1) * EXP( -ekb  (ji,jj,jk-1 )        )
+                  pe2(ji,jj,jk) = pe2(ji,jj,jk-1) * EXP( -ekg  (ji,jj,jk-1 )        )
+                  pe3(ji,jj,jk) = pe3(ji,jj,jk-1) * EXP( -ekr  (ji,jj,jk-1 )        )
                END DO
               !
@@ -327,5 +323,5 @@
       !!
       !!----------------------------------------------------------------------
-      INTEGER ,                INTENT(in) ::   kt     ! ocean time step
+      INTEGER, INTENT(in) ::   kt   ! ocean time step
       !
       INTEGER  :: ji,jj
@@ -357,8 +353,6 @@
       !! ** Input   :   external ascii and netcdf files
       !!----------------------------------------------------------------------
-      INTEGER :: numpar
-      INTEGER :: ierr
-      INTEGER :: ios                 ! Local integer output status for namelist read
-      REAL(wp), DIMENSION(nbtimes) :: zsteps                 ! times records
+      INTEGER :: numpar, ierr, ios   ! Local integer 
+      REAL(wp), DIMENSION(nbtimes) ::   zsteps   ! times records
       !
       CHARACTER(len=100) ::  cn_dir          ! Root directory for location of ssr files
@@ -367,20 +361,21 @@
       NAMELIST/nampisopt/cn_dir, sn_par, ln_varpar, parlux
       !!----------------------------------------------------------------------
-
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'p4z_opt_init : '
+         WRITE(numout,*) '~~~~~~~~~~~~ '
+      ENDIF
       REWIND( numnatp_ref )              ! Namelist nampisopt in reference namelist : Pisces attenuation coef. and PAR
       READ  ( numnatp_ref, nampisopt, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisopt in reference namelist', lwp )
-
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampisopt in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampisopt in configuration namelist : Pisces attenuation coef. and PAR
       READ  ( numnatp_cfg, nampisopt, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisopt in configuration namelist', lwp )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampisopt in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, nampisopt )
 
       IF(lwp) THEN
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' namelist : nampisopt '
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~ '
-         WRITE(numout,*) '    PAR as a variable fraction of SW     ln_varpar      = ', ln_varpar
-         WRITE(numout,*) '    Default value for the PAR fraction   parlux         = ', parlux
+         WRITE(numout,*) '   Namelist : nampisopt '
+         WRITE(numout,*) '      PAR as a variable fraction of SW     ln_varpar      = ', ln_varpar
+         WRITE(numout,*) '      Default value for the PAR fraction   parlux         = ', parlux
       ENDIF
       !
@@ -391,6 +386,6 @@
       ! ----------------------------------------
       IF( ln_varpar ) THEN
-         IF(lwp) WRITE(numout,*) '    initialize variable par fraction '
-         IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '   ==>>>   initialize variable par fraction (ln_varpar=T)'
          !
          ALLOCATE( par_varsw(jpi,jpj) )
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zpoc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zpoc.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zpoc.F90	(revision 9169)
@@ -23,17 +23,16 @@
    PUBLIC   p4z_poc         ! called in p4zbio.F90
    PUBLIC   p4z_poc_init    ! called in trcsms_pisces.F90
-   PUBLIC   alngam
-   PUBLIC   gamain
-
-   !! * Shared module variables
-   REAL(wp), PUBLIC ::  xremip     !: remineralisation rate of DOC
-   REAL(wp), PUBLIC ::  xremipc    !: remineralisation rate of DOC
-   REAL(wp), PUBLIC ::  xremipn    !: remineralisation rate of DON
-   REAL(wp), PUBLIC ::  xremipp    !: remineralisation rate of DOP
-   INTEGER , PUBLIC ::  jcpoc      !: number of lability classes
-   REAL(wp), PUBLIC ::  rshape     !: shape factor of the gamma distribution
-
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)     ::   alphan, reminp
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) :: alphap
+   PUBLIC   alngam          !
+   PUBLIC   gamain          !
+
+   REAL(wp), PUBLIC ::   xremip     !: remineralisation rate of DOC
+   REAL(wp), PUBLIC ::   xremipc    !: remineralisation rate of DOC
+   REAL(wp), PUBLIC ::   xremipn    !: remineralisation rate of DON
+   REAL(wp), PUBLIC ::   xremipp    !: remineralisation rate of DOP
+   INTEGER , PUBLIC ::   jcpoc      !: number of lability classes
+   REAL(wp), PUBLIC ::   rshape     !: shape factor of the gamma distribution
+
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::   alphan, reminp   !:
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) ::   alphap           !:
 
 
@@ -53,6 +52,5 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      !
-      INTEGER, INTENT(in) ::   kt, knt ! ocean time step
+      INTEGER, INTENT(in) ::   kt, knt   ! ocean time step and ???
       !
       INTEGER  ::   ji, jj, jk, jn
@@ -187,6 +185,6 @@
       END DO
 
-      IF( ln_p4z ) THEN   ;  zremigoc(:,:,:) = MIN( xremip , ztremint(:,:,:) )
-      ELSE                ;  zremigoc(:,:,:) = MIN( xremipc, ztremint(:,:,:) )
+      IF( ln_p4z ) THEN   ;   zremigoc(:,:,:) = MIN( xremip , ztremint(:,:,:) )
+      ELSE                ;   zremigoc(:,:,:) = MIN( xremipc, ztremint(:,:,:) )
       ENDIF
 
@@ -260,7 +258,7 @@
      ! -------------------------------------------------------------------
      !
-     totprod(:,:) = 0.
+     totprod (:,:) = 0.
      totthick(:,:) = 0.
-     totcons(:,:) = 0.
+     totcons (:,:) = 0.
      ! intregrated production and consumption of POC in the mixed layer
      ! ----------------------------------------------------------------
@@ -396,6 +394,6 @@
       END DO
 
-     IF( ln_p4z ) THEN   ;  zremipoc(:,:,:) = MIN( xremip , ztremint(:,:,:) )
-     ELSE                ;  zremipoc(:,:,:) = MIN( xremipc, ztremint(:,:,:) )
+     IF( ln_p4z ) THEN   ;   zremipoc(:,:,:) = MIN( xremip , ztremint(:,:,:) )
+     ELSE                ;   zremipoc(:,:,:) = MIN( xremipc, ztremint(:,:,:) )
      ENDIF
 
@@ -473,39 +471,41 @@
       !!
       !! ** Method  :   Read the nampispoc namelist and check the parameters
-      !!      called at the first timestep
+      !!              called at the first timestep
       !!
       !! ** input   :   Namelist nampispoc
-      !!
       !!----------------------------------------------------------------------
+      INTEGER ::   jn            ! dummy loop index
       INTEGER ::   ios, ifault   ! Local integer
-      INTEGER ::   jn
-      REAL(wp) :: remindelta, reminup, remindown
+      REAL(wp)::   remindelta, reminup, remindown
       !!
       NAMELIST/nampispoc/ xremip , jcpoc  , rshape,  &
          &                xremipc, xremipn, xremipp
       !!----------------------------------------------------------------------
-
+      !
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'p4z_poc_init : Initialization of remineralization parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampisrem in reference namelist : Pisces remineralization
       READ  ( numnatp_ref, nampispoc, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampispoc in reference namelist', lwp )
-
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampispoc in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampisrem in configuration namelist : Pisces remineralization
       READ  ( numnatp_cfg, nampispoc, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampispoc in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, nampispoc )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampispoc in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, nampispoc )
 
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameters for remineralization, nampispoc'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist : nampispoc'
          IF( ln_p4z ) THEN
-            WRITE(numout,*) '    remineralisation rate of POC              xremip    =', xremip
+            WRITE(numout,*) '      remineralisation rate of POC              xremip    =', xremip
          ELSE
-            WRITE(numout,*) '    remineralisation rate of POC              xremipc   =', xremipc
-            WRITE(numout,*) '    remineralisation rate of PON              xremipn   =', xremipn
-            WRITE(numout,*) '    remineralisation rate of POP              xremipp   =', xremipp
+            WRITE(numout,*) '      remineralisation rate of POC              xremipc   =', xremipc
+            WRITE(numout,*) '      remineralisation rate of PON              xremipn   =', xremipn
+            WRITE(numout,*) '      remineralisation rate of POP              xremipp   =', xremipp
          ENDIF
-         WRITE(numout,*) '    Number of lability classes for POC        jcpoc     =', jcpoc
-         WRITE(numout,*) '    Shape factor of the gamma distribution    rshape    =', rshape
+         WRITE(numout,*) '      Number of lability classes for POC        jcpoc     =', jcpoc
+         WRITE(numout,*) '      Shape factor of the gamma distribution    rshape    =', rshape
       ENDIF
       !
@@ -513,6 +513,5 @@
       ! ---------------------------------------
       !
-      ALLOCATE( alphan(jcpoc), reminp(jcpoc) )
-      ALLOCATE( alphap(jpi,jpj,jpk,jcpoc) )
+      ALLOCATE( alphan(jcpoc) , reminp(jcpoc) , alphap(jpi,jpj,jpk,jcpoc) )
       !
       IF (jcpoc > 1) THEN
@@ -551,38 +550,32 @@
    END SUBROUTINE p4z_poc_init
 
+
    REAL FUNCTION alngam( xvalue, ifault )
-
-!*****************************************************************************80
-!
-!! ALNGAM computes the logarithm of the gamma function.
-!
-!  Modified:
-!
-!    13 January 2008
-!
-!  Author:
-!
-!    Allan Macleod
-!    FORTRAN90 version by John Burkardt
-!
-!  Reference:
-!
-!    Allan Macleod,
-!    Algorithm AS 245,
-!    A Robust and Reliable Algorithm for the Logarithm of the Gamma Function,
-!    Applied Statistics,
-!    Volume 38, Number 2, 1989, pages 397-402.
-!
-!  Parameters:
-!
-!    Input, real ( kind = 8 ) XVALUE, the argument of the Gamma function.
-!
-!    Output, integer ( kind = 4 ) IFAULT, error flag.
-!    0, no error occurred.
-!    1, XVALUE is less than or equal to 0.
-!    2, XVALUE is too big.
-!
-!    Output, real ( kind = 8 ) ALNGAM, the logarithm of the gamma function of X.
-!
+      !*****************************************************************************80
+      !
+      !! ALNGAM computes the logarithm of the gamma function.
+      !
+      !  Modified:    13 January 2008
+      !
+      !  Author  :    Allan Macleod
+      !               FORTRAN90 version by John Burkardt
+      !
+      !  Reference:
+      !    Allan Macleod, Algorithm AS 245,
+      !    A Robust and Reliable Algorithm for the Logarithm of the Gamma Function,
+      !    Applied Statistics,
+      !    Volume 38, Number 2, 1989, pages 397-402.
+      !
+      !  Parameters:
+      !
+      !    Input, real ( kind = 8 ) XVALUE, the argument of the Gamma function.
+      !
+      !    Output, integer ( kind = 4 ) IFAULT, error flag.
+      !    0, no error occurred.
+      !    1, XVALUE is less than or equal to 0.
+      !    2, XVALUE is too big.
+      !
+      !    Output, real ( kind = 8 ) ALNGAM, the logarithm of the gamma function of X.
+      !*****************************************************************************80
   implicit none
 
@@ -746,6 +739,6 @@
    END FUNCTION alngam
 
+
    REAL FUNCTION gamain( x, p, ifault )
-
 !*****************************************************************************80
 !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90	(revision 9169)
@@ -8,14 +8,14 @@
    !!             3.4  !  2011-05  (O. Aumont, C. Ethe) New parameterization of light limitation
    !!----------------------------------------------------------------------
-   !!   p4z_prod       :   Compute the growth Rate of the two phytoplanktons groups
-   !!   p4z_prod_init  :   Initialization of the parameters for growth
-   !!   p4z_prod_alloc :   Allocate variables for growth
+   !!   p4z_prod       : Compute the growth Rate of the two phytoplanktons groups
+   !!   p4z_prod_init  : Initialization of the parameters for growth
+   !!   p4z_prod_alloc : Allocate variables for growth
    !!----------------------------------------------------------------------
-   USE oce_trc         !  shared variables between ocean and passive tracers
-   USE trc             !  passive tracers common variables 
-   USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zlim          !  Co-limitations of differents nutrients
-   USE prtctl_trc      !  print control for debugging
-   USE iom             !  I/O manager
+   USE oce_trc         ! shared variables between ocean and passive tracers
+   USE trc             ! passive tracers common variables 
+   USE sms_pisces      ! PISCES Source Minus Sink variables
+   USE p4zlim          ! Co-limitations of differents nutrients
+   USE prtctl_trc      ! print control for debugging
+   USE iom             ! I/O manager
 
    IMPLICIT NONE
@@ -26,18 +26,17 @@
    PUBLIC   p4z_prod_alloc
 
-   !! * Shared module variables
-   LOGICAL , PUBLIC ::  ln_newprod      !:
-   REAL(wp), PUBLIC ::  pislopen         !:
-   REAL(wp), PUBLIC ::  pisloped        !:
-   REAL(wp), PUBLIC ::  xadap           !:
-   REAL(wp), PUBLIC ::  excretn          !:
-   REAL(wp), PUBLIC ::  excretd         !:
-   REAL(wp), PUBLIC ::  bresp           !:
-   REAL(wp), PUBLIC ::  chlcnm          !:
-   REAL(wp), PUBLIC ::  chlcdm          !:
-   REAL(wp), PUBLIC ::  chlcmin         !:
-   REAL(wp), PUBLIC ::  fecnm           !:
-   REAL(wp), PUBLIC ::  fecdm           !:
-   REAL(wp), PUBLIC ::  grosip          !:
+   LOGICAL , PUBLIC ::   ln_newprod   !:
+   REAL(wp), PUBLIC ::   pislopen     !:
+   REAL(wp), PUBLIC ::   pisloped     !:
+   REAL(wp), PUBLIC ::   xadap        !:
+   REAL(wp), PUBLIC ::   excretn      !:
+   REAL(wp), PUBLIC ::   excretd      !:
+   REAL(wp), PUBLIC ::   bresp        !:
+   REAL(wp), PUBLIC ::   chlcnm       !:
+   REAL(wp), PUBLIC ::   chlcdm       !:
+   REAL(wp), PUBLIC ::   chlcmin      !:
+   REAL(wp), PUBLIC ::   fecnm        !:
+   REAL(wp), PUBLIC ::   fecdm        !:
+   REAL(wp), PUBLIC ::   grosip       !:
 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prmax    !: optimal production = f(temperature)
@@ -45,7 +44,7 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   quotad   !: proxy of N quota in diatomee
    
-   REAL(wp) :: r1_rday                !: 1 / rday
-   REAL(wp) :: texcretn               !: 1 - excretn 
-   REAL(wp) :: texcretd               !: 1 - excretd        
+   REAL(wp) ::   r1_rday    ! 1 / rday
+   REAL(wp) ::   texcretn   ! 1 - excretn 
+   REAL(wp) ::   texcretd   ! 1 - excretd        
 
    !!----------------------------------------------------------------------
@@ -65,5 +64,5 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER, INTENT(in) :: kt, knt
+      INTEGER, INTENT(in) ::   kt, knt   !
       !
       INTEGER  ::   ji, jj, jk
@@ -475,7 +474,7 @@
          CALL prt_ctl_trc(tab4d=tra, mask=tmask, clinfo=ctrcnm)
      ENDIF
-     !
-     IF( ln_timing )  CALL timing_stop('p4z_prod')
-     !
+      !
+      IF( ln_timing )  CALL timing_stop('p4z_prod')
+      !
    END SUBROUTINE p4z_prod
 
@@ -492,38 +491,41 @@
       !! ** input   :   Namelist nampisprod
       !!----------------------------------------------------------------------
-      INTEGER :: ios                 ! Local integer output status for namelist read
+      INTEGER ::   ios   ! Local integer
       !
       NAMELIST/namp4zprod/ pislopen, pisloped, xadap, ln_newprod, bresp, excretn, excretd,  &
          &                 chlcnm, chlcdm, chlcmin, fecnm, fecdm, grosip
       !!----------------------------------------------------------------------
-
+      !
+      IF(lwp) THEN                         ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) 'p4z_prod_init : phytoplankton growth'
+         WRITE(numout,*) '~~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampisprod in reference namelist : Pisces phytoplankton production
       READ  ( numnatp_ref, namp4zprod, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zprod in reference namelist', lwp )
-
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zprod in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampisprod in configuration namelist : Pisces phytoplankton production
       READ  ( numnatp_cfg, namp4zprod, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zprod in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, namp4zprod )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zprod in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, namp4zprod )
 
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameters for phytoplankton growth, namp4zprod'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '    Enable new parame. of production (T/F)   ln_newprod    =', ln_newprod
-         WRITE(numout,*) '    mean Si/C ratio                           grosip       =', grosip
-         WRITE(numout,*) '    P-I slope                                 pislopen     =', pislopen
-         WRITE(numout,*) '    Acclimation factor to low light           xadap        =', xadap
-         WRITE(numout,*) '    excretion ratio of nanophytoplankton      excretn      =', excretn
-         WRITE(numout,*) '    excretion ratio of diatoms                excretd      =', excretd
+         WRITE(numout,*) '   Namelist : namp4zprod'
+         WRITE(numout,*) '      Enable new parame. of production (T/F)   ln_newprod    =', ln_newprod
+         WRITE(numout,*) '      mean Si/C ratio                           grosip       =', grosip
+         WRITE(numout,*) '      P-I slope                                 pislopen     =', pislopen
+         WRITE(numout,*) '      Acclimation factor to low light           xadap        =', xadap
+         WRITE(numout,*) '      excretion ratio of nanophytoplankton      excretn      =', excretn
+         WRITE(numout,*) '      excretion ratio of diatoms                excretd      =', excretd
          IF( ln_newprod )  THEN
-            WRITE(numout,*) '    basal respiration in phytoplankton        bresp        =', bresp
-            WRITE(numout,*) '    Maximum Chl/C in phytoplankton            chlcmin      =', chlcmin
+            WRITE(numout,*) '      basal respiration in phytoplankton        bresp        =', bresp
+            WRITE(numout,*) '      Maximum Chl/C in phytoplankton            chlcmin      =', chlcmin
          ENDIF
-         WRITE(numout,*) '    P-I slope  for diatoms                    pisloped     =', pisloped
-         WRITE(numout,*) '    Minimum Chl/C in nanophytoplankton        chlcnm       =', chlcnm
-         WRITE(numout,*) '    Minimum Chl/C in diatoms                  chlcdm       =', chlcdm
-         WRITE(numout,*) '    Maximum Fe/C in nanophytoplankton         fecnm        =', fecnm
-         WRITE(numout,*) '    Minimum Fe/C in diatoms                   fecdm        =', fecdm
+         WRITE(numout,*) '      P-I slope  for diatoms                    pisloped     =', pisloped
+         WRITE(numout,*) '      Minimum Chl/C in nanophytoplankton        chlcnm       =', chlcnm
+         WRITE(numout,*) '      Minimum Chl/C in diatoms                  chlcdm       =', chlcdm
+         WRITE(numout,*) '      Maximum Fe/C in nanophytoplankton         fecnm        =', fecnm
+         WRITE(numout,*) '      Minimum Fe/C in diatoms                   fecdm        =', fecdm
       ENDIF
       !
